Bug 1873797 - In kernel 5.8.4-200.fc32.x86_64 missing module serial_ir
Summary: In kernel 5.8.4-200.fc32.x86_64 missing module serial_ir
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-30 08:37 UTC by Oleg Kochkin
Modified: 2021-05-25 16:41 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:41:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Oleg Kochkin 2020-08-30 08:37:07 UTC
Missing module serial_ir in kernel 5.8.4-200.fc32.x86_64

Everything worked in the previous version of the kernel (5.7.17-200.fc32.x86_64)

Reproduce this issue:

# modprobe serial_ir
modprobe: FATAL: Module serial_ir not found in directory /lib/modules/5.8.4-200.fc32.x86_64

Workaround: Boot with kernel 5.7.17-200.fc32.x86_64

Comment 1 Oleg Kochkin 2020-09-08 11:10:33 UTC
The same problem with the kernel-5.8.6-201.fc32.x86_64

Comment 2 Oleg Kochkin 2020-09-11 13:10:13 UTC
The same problem with the kernel-5.8.7-200.fc32.x86_64

Comment 3 Dennis Wagelaar 2020-11-02 22:40:00 UTC
Kernel .config file now contains:

...
CONFIG_IR_WINBOND_CIR=m
CONFIG_IR_IGORPLUGUSB=m
CONFIG_IR_IGUANA=m
CONFIG_IR_TTUSBIR=m
CONFIG_RC_LOOPBACK=m
# CONFIG_IR_SERIAL is not set
# CONFIG_IR_SIR is not set
CONFIG_RC_XBOX_DVD=m
CONFIG_CEC_CORE=m
CONFIG_CEC_NOTIFIER=y
CONFIG_MEDIA_CEC_RC=y
CONFIG_MEDIA_CEC_SUPPORT=y
CONFIG_CEC_SECO=m
...

CONFIG_IR_SERIAL must be set to 'm' to have the homebrew IR driver for LIRC back. Why was this removed?

Comment 4 Dennis Wagelaar 2020-11-03 16:34:30 UTC
The Fedora kernel git repo has this module disabled for the Fedora 31, 32, 33 branches, and enabled again for master: https://src.fedoraproject.org/rpms/kernel/c/8bf7e7fde6b9176ccaac91a0c95464f326d8a008

" kernel-5.9.0-0.rc7.20200930gitfb0155a09b02.21
    
    * Wed Sep 30 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-0.rc7.20200930gitfb0155a09b02.21]
    - Merge ark-patches
    Resolves: rhbz#
    
    Signed-off-by: Justin M. Forbes <jforbes@fedoraproject.org>"

Comment 5 Dennis Wagelaar 2020-11-03 16:36:52 UTC
@jforbes@redhat.com can you backport the above change to Fedora 32, 33?

Comment 6 Dennis Wagelaar 2020-11-03 18:18:25 UTC
People can compile the kernel module out-of-tree for the moment: https://github.com/dwagelaar/kernel-serial-ir

Comment 7 Fedora Program Management 2021-04-29 16:36:33 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-05-25 16:41:17 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.